Subject: bug#70968: 29.2.50; choose-completion on an emacs22-style completion deletes text after point

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 May 2024 21:28:45 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Spencer Baugh <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Thu, 16 May 2024 13:40:35 -0400
> 
> > If making these two ways consistent means we need to change the
> > behavior of emacs22 style of completion, then I'm sorry, but we cannot
> > do that.  This style is a legacy style, and is there to provide the
> > legacy behavior for those who need it.
> 
> I'm not sure it's terribly important to preserve this detail of the
> behavior of `Emacs-22`.  The `emacs22` style does not aim to provide the
> illusion you're running an old Emacs.  I named it that way because
> I couldn't come up with a good descriptive name for it.  If it
> misbehaves, I don't see a need to be bug-compatible, especially since
> this doesn't affect ELisp code but users.

I think it does, sorry.  Suchj old behavior is a de-facto standard.
If we change that, we should at least have a knob to get back the old
behavior.